#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "ScreenshotToolAsset.generated.h"

class UScreenshotToolConfigurationAsset;
class UScreenshotToolAnimationAsset;
class UScreenshotToolViewAsset;
class UScreenshotToolSceneAsset;

UCLASS(Blueprintable, MinimalAPI)
class UScreenshotToolAsset : public UDataAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UScreenshotToolConfigurationAsset* Configuration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UScreenshotToolAnimationAsset* Animations;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UScreenshotToolViewAsset* Views;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UScreenshotToolSceneAsset* Scenes;

public:
	UScreenshotToolAsset();
};

FORCEINLINE uint32 GetTypeHash(const UScreenshotToolAsset) { return 0; }
